/*!
Theme Name: Kadence Child
Template: kadence
Version: 1.0.8
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

/*
 * Doozy da modificare...
 */

/* Colori */
/*:root {
    --primario: var(--global-palette1);
}*/

::-webkit-input-placeholder {
	/* WebKit browsers */
	color: var(--secondario) !important;
	opacity: 0.3;
}
:-moz-placeholder {
	/* Mozilla Firefox 4 to 18 */
	color: var(--secondario) !important;
	opacity: 0.3;
}
::-moz-placeholder {
	/* Mozilla Firefox 19+ */
	color: var(--secondario) !important;
	opacity: 0.3;
}
:-ms-input-placeholder {
	/* Internet Explorer 10+ */
	color: var(--secondario) !important;
	opacity: 0.3;
}

/* Tipografia */
* p {
	margin: 0;
}
h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
	font-weight: 600 !important;
	margin-top: 0 !important;
	font-family: var(--global-heading-font-family);
}

h1,
.h1,
.h1 > .gspb-dynamic-title-element,
.h1.gspb_meta > * {
	font-size: clamp(30px, 6vw, 64px) !important;
	line-height: 1.1 !important;
}
h2,
.h2,
.h2 > .gspb-dynamic-title-element,
.h2.gspb_meta > *, .single-post h1.entry-title {
	font-size: clamp(26px, 4vw, 30px) !important;
	line-height: 1.3 !important;
}
h3,
.h3,
.h3 > .gspb-dynamic-title-element,
.h3.gspb_meta > * {
	font-size: clamp(26px, 4vw, 30px) !important;
	line-height: 1.3 !important;
}
h4,
.h4,
.h4 > .gspb-dynamic-title-element,
.h4.gspb_meta > * {
	font-size: clamp(20px, 3.5vw, 24px) !important;
	line-height: 1.4 !important;
}
h5,
.h5,
.h5 > .gspb-dynamic-title-element,
.h5.gspb_meta > * {
	font-size: clamp(18px, 3vw, 20px) !important;
	line-height: 1.5 !important;
}
h6,
.h6,
.h6 > .gspb-dynamic-title-element,
.h6.gspb_meta > * {
	font-size: clamp(1rem, 2.5vw, 1rem) !important;
	line-height: 1.5 !important;
}
/* Pulsanti */
button,
.button,
.wp-block-button__link,
.wp-element-button,
input[type='button'],
input[type='reset'],
input[type='submit'] {
	border-radius: 9rem;
	padding: 0.7rem 2rem;
	font-size: 1.125rem;
	line-height: 1;
}

/* Single evento */
.info-card-evento {
    width: 100%;
    border-radius: 1rem;
    background-color: var(--wp--preset--color--theme-palette8, var(--global-palette8));
    padding: 2rem;
    display: flex;
    flex-direction: column;
    row-gap: 0.5rem;
	margin-bottom:2rem;
}
@media (width<992px) {
	.info-card-evento {
		padding: 1.5rem;
		margin-bottom:1rem;
	}	
}
.info-card-evento strong.red {
	color:var(--wp--preset--color--theme-palette1, var(--global-palette1));
}

.copyright {
	font-size:12px;
	text-align:center;
}

.single-post h1.entry-title {
    text-transform: none!important;
    color: var(--global-palette1);
}
.single-post #primary {
	padding-bottom: 5vw;
}
.single-post img {
    border-radius: var(--radius);
}
@media(min-width: 1024px) {
	.single-post #secondary {
		padding-left: 1rem;
	}
}
@media(max-width: 1024px) {
	#mobile-site-navigation {
		#mobile-menu {
			.sub-menu {
				background: var(--global-palette6);
				padding-right: 1rem;
				li {
					a {
						text-transform: none!important;
						border-bottom: 1px solid var(--global-gray-400);
					}
					&:last-child {
						a {
							border-bottom: 0;
						}
					}
				}
			}
		}
	}
}